Subject: Re: bug#50677: [PATCH] Minetest basic_materials really depends on moreores

From: Maxime Devos <[email-masked]>
Date: Sun, 19 Sep 2021 21:18:34 +0200

Vivien Kraus schreef op zo 19-09-2021 om 20:59 [+0200]:
> Le dimanche 19 septembre 2021 à 20:54 +0200, Vivien Kraus a écrit :
> > I forgot to say, I could not figure out why the package did not
> > build,
> > because the check phase in the minetest build system stops after the
> > first error line of output, which only stated that there was a
> > problem
> > with init.lua. I had to disable the error line detection in the build
> > system implementation to know it was a problem with this file. So, I
> > figured out that what we need to do is gather all error lines, until
> > either the server stops or starts despite the error, and fail only
> > then.
> >
> > I prefer the exceptions API because it can handle multiple lines of
> > errors while displaying them cleanly (unlike the error function, that
> > displays an ugly ~a and prints the arguments on 1 line). But, it’s
> > only
> > for the "new" guile 3.0.

This modified error reporting seems reasonable to me, but I haven't tested
it.  It only being for the "new" guile 3.0 is probably fine.  IIUC, within
the build environment, guile 3.0.SOMETHING is used, and configure.ac
only checks for guile 3.0:

dnl Search for 'guile' and 'guild'.  This macro defines
dnl 'GUILE_EFFECTIVE_VERSION'.
GUILE_PKG([3.0])
GUILE_PROGS
if test "x$GUILD" = "x"; then
   AC_MSG_ERROR(['guild' binary not found; please check your Guile installation.])
fi

Greetings,
Maxime